Bug 1796717 - Verify upgrade preserves reachability of service load balancers and APIs from outside
Summary: Verify upgrade preserves reachability of service load balancers and APIs from...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Clayton Coleman
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1796715 1796716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 03:27 UTC by Clayton Coleman
Modified: 2020-07-27 16:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1796716
Environment:
Last Closed: 2020-07-27 16:02:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 24480 0 None closed Bug 1796717: Add a test that verifies API and services remain available during upgrade 2020-07-27 16:00:14 UTC

Description Clayton Coleman 2020-01-31 03:27:56 UTC
+++ This bug was initially created as a clone of Bug #1796716 +++

+++ This bug was initially created as a clone of Bug #1796715 +++

The upgrade test was running a service load balancer verification that ensured upgrades preserved reachability, but it provided insufficient alerting and debug to narrow down upgrade failures and assign probable cause.  In addition, the test failed to verify reuse of connections vs newly created connections. Finally, we don't explicitly measure API reachability during upgrade.

Add an e2e test for upgrade that verifies all of these conditions and backport it to 4.2 to ensure we are sufficiently certain about the guarantees we provide to end users.

Comment 1 Andrew McDermott 2020-07-09 12:12:35 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with
higher priority/severity, developing new features with higher
priority, or developing new features to improve stability at a macro
level. I will revisit this bug next sprint.


Note You need to log in before you can comment on or make changes to this bug.